import { AItem, HasFeedbackTopic } from './AItem'

export class HeatingScene extends AItem  {
    private led1Topics: string[] = []
    private led2Topics: string[] = []
    private led1GreenToken: string
    private led1RedToken: string
    private led2GreenToken: string
    private led2RedToken: string

    constructor(floor: string, room: string, item: string, label: string, 
        led1Items: HasFeedbackTopic[], led1GreenToken: string, led1RedToken: string,
        led2Items: HasFeedbackTopic[], led2GreenToken: string, led2RedToken: string) {

        super(floor, room, item, label)

        this.subscribeTopics = []
        led1Items.forEach((item: HasFeedbackTopic) => {
            this.led1Topics.push(item.getStateFeedbackTopic())
            this.subscribeTopics.push(item.getStateFeedbackTopic())
        })
        led2Items.forEach((item: HasFeedbackTopic) => {
            this.led2Topics.push(item.getStateFeedbackTopic())
            this.subscribeTopics.push(item.getStateFeedbackTopic())
        })
        
        this.led1GreenToken = led1GreenToken
        this.led1RedToken = led1RedToken
        this.led2GreenToken = led2GreenToken
        this.led2RedToken = led2RedToken

    }


    processMessage(topic: string, payload: string) : void {

    }
}
